> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update watermark information

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/watermark
Content-Type: application/json

Returns information about the watermark for the account.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/accounts/accountwatermarks/update

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

### Body (application/json)

This endpoint expects a watermark.

- `displayAngle` (string, optional) — The display angle of the watermark. Valid values: - 0 (horizontal) - 45 (diagonal) - 90 (vertical)
- `enabled` (string, optional) — When **true,** the watermark will be applied to documents that are still in progress. When **false,** the watermark will not be applied.
- `font` (string, optional) — The watermark's font. Valid values: - `courier` - `helvetica` - `timesnewroman`
- `fontColor` (string, optional) — The watermark's font color. Valid values: - `black` - `blue` - `red` - `gray` - `yellow`
- `fontSize` (string, optional) — The watermark's font size. Valid values: - `30` - `40` - `50` - `60` - `70` - `80` - `90`
- `id` (string, optional) — The ID of the watermark.
- `imageBase64` (string, optional) — The Base64 representation of the watermark image. This property is read-only.
- `transparency` (string, optional) — The transparency percentage of the watermark image. Valid values: - `5` - `10` - `15` - `20` - `25` - `30` - `35` - `40` - `45`
- `watermarkText` (string, optional) — The text for the watermark.

## Response

### 200

Successful response.

- `displayAngle` (string, optional) — The display angle of the watermark. Valid values: - 0 (horizontal) - 45 (diagonal) - 90 (vertical)
- `enabled` (string, optional) — When **true,** the watermark will be applied to documents that are still in progress. When **false,** the watermark will not be applied.
- `font` (string, optional) — The watermark's font. Valid values: - `courier` - `helvetica` - `timesnewroman`
- `fontColor` (string, optional) — The watermark's font color. Valid values: - `black` - `blue` - `red` - `gray` - `yellow`
- `fontSize` (string, optional) — The watermark's font size. Valid values: - `30` - `40` - `50` - `60` - `70` - `80` - `90`
- `id` (string, optional) — The ID of the watermark.
- `imageBase64` (string, optional) — The Base64 representation of the watermark image. This property is read-only.
- `transparency` (string, optional) — The transparency percentage of the watermark image. Valid values: - `5` - `10` - `15` - `20` - `25` - `30` - `35` - `40` - `45`
- `watermarkText` (string, optional) — The text for the watermark.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Request**

```json
{
  "displayAngle": "sample string 1",
  "enabled": "sample string 2",
  "font": "sample string 3",
  "fontColor": "sample string 4",
  "fontSize": "sample string 5",
  "id": "sample string 6",
  "imageBase64": "sample string 7",
  "transparency": "sample string 8",
  "watermarkText": "sample string 9"
}
```

**Response**

```json
{
  "displayAngle": "sample string 1",
  "enabled": "sample string 2",
  "font": "sample string 3",
  "fontColor": "sample string 4",
  "fontSize": "sample string 5",
  "id": "sample string 6",
  "imageBase64": "sample string 7",
  "transparency": "sample string 8",
  "watermarkText": "sample string 9"
}
```